Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4085 - Netscape memory leak can take down a system.
Summary: Netscape memory leak can take down a system.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netscape
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL: http://www.linux-support.net/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-17 14:08 UTC by markster
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-18 21:42:05 UTC


Attachments (Terms of Use)

Description markster 1999-07-17 14:08:05 UTC
Netscape contains very serious memory leaks.  If left
unattended on a page with autorefresh (like our incoming
queue page at Linux-Support.net), it will consume memory and
swap until nothing is left.  On my system, leaving netscape
open for four hours on a page that refreshes every 60
seconds, fills out the remainder of my 128MB of RAM and
128MB of swap, causing a panic (although nothing is logged,
and being in X-windows, I'm unable to see anything).
Userspace simply dies, while ping's and other kernel-only
functions remain intact.

I have a test technician account that I can make available
for anyone who wishes to duplicate the bug.

One potential work around I am currently testing is to add
"ulimit -d 32000" to /usr/bin/netscape to keep its
consumption under control.

Comment 1 Jay Turner 1999-07-19 14:21:59 UTC
What version of Netscape are you using.  I have seen a considerable
improvement in the leakage problem with release 4.61-1.

Comment 2 markster 1999-07-19 15:06:59 UTC
netscape-communicator-4.6-1

As provided in the updates to RedHat 6.0...

Comment 3 Bill Nottingham 1999-07-29 16:57:59 UTC
you might also try upgrading glibc to the latest version in Raw Hide;
there were memory leaks in some of the host resolution code; a
process that auto-refreshed would certainly run into this.


Note You need to log in before you can comment on or make changes to this bug.